/*
** Chatline (String.mui Subclass with History)
** Copyright (C) 2000 Gurer Ozen <madcat@linuxfan.com>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of GNU General Public License.
*/

#include "mui.h"

#ifndef MADCAT_CHATLINE_H
#define MADCAT_CHATLINE_H

MUIF chatline_dispatch(REG(a0) struct IClass *cl,REG(a2) Object *obj,REG(a1) Msg msg);

struct chatlinestr
{
	struct chatlinestr *next;
	struct chatlinestr *prev;
	int len;
	char line[2];
};

struct chatlinedata
{
	void *pool;
	struct chatlinestr *lines;
	struct chatlinestr *lastline;
	struct chatlinestr *cur;
};


/* change following macros according to main program */

#define CHATLINE_ADD 0xf0f0

#define ChatlineObject NewObject(gui->chatline_mcc->mcc_Class, NULL


#endif	/* MADCAT_CHATLINE_H */
