/*
** Download Header
*/

#include <sys/types.h>
#include <libraries/dos.h>

#include "include/napster.h"
#include "include/thread.h"

#ifndef AMSTER_DOWNLOAD_H
#define AMSTER_DOWNLOAD_H

extern int dl_count;
extern int QueueCount;

#define DL_ADD            0x1003
#define DL_START          0x1004
#define DL_UPDATE         0x1010
#define DL_CPS            0x1011
#define DL_PLAY           0x1020
#define DL_ABORT          0x1021
#define DL_RESUME         0x1022
#define DL_CLEANUP        0x1023
#define DL_CLEANUP_SINGLE 0x1024
#define DL_COUNTDECREMENT 0x1040
#define DL_COUNTINCREMENT 0x1041
#define DL_CHECKQUEUE     0x1042
#define DL_RESUME_UPDATE  0x1049
#define DL_INFO           0x1050
#define DL_SETERROR       0x1051
#define DL_RETRY          0x1052
#define DL_POLLWAIT       0x1053
#define DL_SETDELAY       0x1054
#define DL_REMWAITING     0x1055
#define DL_WATCHER        0x1056

enum HandlerFunc {
	DLC_STATE,
	DLC_SIZE,
	DLC_ADDSHARE,
	DLC_UPDATE
};

/* Public functions */

extern MUIF dl_dispatch(REG(a0) struct IClass *cl,REG(a2) Object *obj,REG(a1) Msg msg);


#endif	/* AMSTER_DOWNLOAD_H */
