/*
** Result View Header
*/

#include <sys/types.h>

#include "include/mui.h"

#ifndef AMSTER_RESULTVIEW_H
#define AMSTER_RESULTVIEW_H

extern struct MUI_CustomClass *ResultviewContext;

#define MUIA_Amster_ContextMenu 0x50000001

extern char *gColFormat;
extern int gContextChoice;

struct resultdata {
	u_long *result, *list;
	u_long *BT_Clear, *BT_ClearAll, *BT_Resume, *BT_Download, *fptog;
	int resultview_count;
	int resultview_state;
};

struct ResultviewContextData
{
	u_long *MI_AddToHotlist;
	u_long *MI_BrowseUser;
};

enum {
	CLEAR_MARKED,
	CLEAR_ALL
};

MUIF resultview_dispatch(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);
MUIF ResultviewContextDispatcher(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);

#define RESULTVIEW_CLEAR    0x5002
#define RESULTVIEW_DOWNLOAD 0x5003
#define RESULTVIEW_NICK     0x5004
#define RESULTVIEW_FOUND    0x5005
#define RESULTVIEW_TOGGLE_ONE  0x5008
#define RESULTVIEW_TOGGLE_BOTH 0x5009
#define RESULTVIEW_STAT     0x5012
#define RESULTVIEW_INSERT   0x5013
#define RESULTVIEW_RESETCOUNT 0x5014
#define RESULTVIEW_STAT2    0x5015
#define RESULTVIEW_GETSTATE 0x5016
#define RESULTVIEW_FILLSTEM 0x5017
#define RESULTVIEW_ADDTOHOTLIST 0x5018
#define RESULTVIEW_NICKFROMLIST 0x5019

#endif	/* AMSTER_RESULTVIEW_H */
