/*
** Search Header
*/

#include <sys/types.h>

#include "include/mui.h"

#ifndef AMSTER_SEARCH_H
#define AMSTER_SEARCH_H

extern int search_state;

struct SearchArgs {
	char *String;
	int MaxResults;
};

struct searchdata {
	u_long *str, *maxstr;
	u_long *pop;
	u_long *popspeed, *popspeedval, *popbit, *popbitval, *popfreq, *popfreqval;
	u_long *LV_Search;
};

MUIF search_dispatch(REG(a0) struct IClass *cl,REG(a2) Object *obj,REG(a1) Msg msg);

#define SEARCH_GO       0x5001
#define SEARCH_CLEAR    0x5002
#define SEARCH_NICK     0x5004
#define SEARCH_FOUND    0x5005
#define SEARCH_RESET    0x5006
#define SEARCH_TOGGLE   0x5007
#define SEARCH_SET      0x5009
#define SEARCH_GET      0x5010
#define SEARCH_USE      0x5011
#define SEARCH_GETSTATE 0x5012
#define SEARCH_FILLSTEM 0x5013
#define SEARCH_DOWNLOAD 0x5014
#define SEARCH_ADDTOHOTLIST 0x5015
#define SEARCH_NICKFROMLIST 0x5016


#endif	/* AMSTER_SEARCH_H */
