/*
** Channel List header
*/

#ifndef AMSTER_CHANNELLIST_H
#define AMSTER_CHANNELLIST_H

#include "include/mui.h"

#define CHANLIST_ENTRY   0x1801
#define CHANLIST_UPDATE  0x1802
#define CHANLIST_JOIN    0x1803

/* Class instance data */

struct ChannelListData {
	u_long *LV_Channel;
};

struct ChannelEntry {
	char *Name;
	int NumUsers;
	char *Topic;
};

/* Public prototypes */

extern MUIF ChannelListDispatch(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);
extern ULONG ChannelListNew(struct IClass *cl, Object *obj, struct opSet *msg);

#endif	/* AMSTER_CHANNELLIST_H */
