/*
** Prototypes
*/

#include <sys/types.h>
#include <time.h>

#ifndef AMSTER_PROTOTYPES_H
#define AMSTER_PROTOTYPES_H

extern int lamp_create(void);
extern void lamp_dispose(void);
extern void lamp_useinlist(u_long *list);
extern char *lamp_getforlist(int i);

extern void gui_run(u_long tcpsig);
extern void gui_state(int s);
extern void gui_stat(char *msg, ...);
extern void gui_srvstat(int Libraries, int Songs, int Gigabytes);
extern void localize_array(char *array[]);
extern void gui_found(struct song_struct *s, int type);

extern void gui_debug(char *msg);
extern void gui_debugf(char *msg, ...);

extern void chat_interpret(u_int com, char *data);

extern void dl_addq(struct song_struct *s);

extern time_t GetDateStamp(void);


#endif	/* AMSTER_PROTOTYPES_H */
