/*
** Amster
** Copyright  1999-2000 by Grer zen & Jacob Laursen
**
** Maintained by Jacob Laursen <laursen@myself.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "include/config.h"

long __stack = AMSTER_STACK ;

#include <proto/exec.h>
#include <dos.h>

#include "include/thread.h"
#include "include/napster.h"
#include "include/prefs.h"
#include "include/protos.h"


int main(int argc, char *argv[])
{
	long sig;

	sig = AllocSignal(-1);
	if (sig == -1) return 20;
	nap_sigmask = 1L << sig;

	if (!th_init()) return 20;

	if (argc == 0) {
		argc = _WBArgc;
		argv = _WBArgv;
	}
	prf_setup(argc, argv);
	gui_run(nap_sigmask);

	FreeSignal(sig);

	return 0;
}
